require 'mechanize'

module EagleClaw
  ##
  # Add browsing capabilities to a class.
  module Browser
    ##
    # This browser's `Mechanize` agent.
    #
    # @return [Mechanize]
    #
    # @see http://mechanize.rubyforge.org/mechanize/
    def agent
      @agent ||= Mechanize.new
    end
    
    ##
    # If a non-existent method is called, pass it along to the `Mechanize`
    # agent.
    def method_missing(name, *args, &block)
      agent.send(name, *args, &block)
    end
  end # module Browser
end # module EagleClaw